API Reference

Public REST API for fetching release notes. No authentication required for public organizations.

Base URL

https://rlse.dev/api

Endpoints

Get Changes

GET /api/widget/changes

Query Parameters

ParamTypeRequiredDescription
orgSlugstringYesOrganization slug
appSlugstringNoFilter by application
limitnumberNoMax results (1-50, default 10)

Example Request

curl "https://rlse.dev/api/widget/changes?orgSlug=acme&limit=5"

Example Response

{
  "org": {
    "orgName": "Acme Corp",
    "orgSlug": "acme"
  },
  "app": {
    "appName": "Dashboard",
    "appSlug": "dashboard"
  },
  "changes": [
    {
      "_id": "change_123",
      "_creationTime": 1714588800000,
      "changeName": "v2.4.0",
      "changeSummary": "New dark mode",
      "changeDescription": "Full markdown description...",
      "currentStatus": "Released",
      "appName": "Dashboard",
      "appSlug": "dashboard"
    }
  ],
  "meta": {
    "total": 5,
    "limit": 10
  }
}

CORS

All API endpoints support CORS and can be called from any origin. Suitable for client-side JavaScript.

Rate Limits

  • 100 requests per minute per IP
  • Burst allowed up to 20 requests

Convex API

For authenticated operations, rlse.dev uses Convex as the backend. The REST API above is a read-only wrapper for public data.